| Linduino 1.3.0 Linear Technology Arduino-Compatible Demonstration Board

Functions | Macros | Variables
fast_telemetry.ino File Reference

Linear Technology LTC3887 Telemetry LTC3887: Power Management Solution for Application Processors. More...

## Detailed Description

Linear Technology LTC3887 Telemetry LTC3887: Power Management Solution for Application Processors.

    Demonstrates Fast Telemetry

    NOTES
      Setup:
       Set the terminal baud rate to 115200 and select the newline terminator.

http://www.linear.com/product/LTC3887

Copyright 2018(c) Analog Devices, Inc.

All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

- Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
- Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
- Neither the name of Analog Devices, Inc. nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.
- The use of this software may or may not infringe the patent rights of one or more patent holders. This license does not release you from the requirement that you obtain separate licenses from these patent holders to use this software.
- Use of the software either in source or binary form, must be run on or directly connected to an Analog Devices Inc. component.

THIS SOFTWARE IS PROVIDED BY ANALOG DEVICES "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, NON-INFRINGEMENT, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL ANALOG DEVICES BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, INTELLECTUAL PROPERTY RIGHTS, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Definition in file fast_telemetry.ino.

Go to the source code of this file.

## Functions
static void | setup ()
| Initialize Linduino. More...
static void | loop ()
| Repeats Linduino loop. More...
static void | print_title ()
| Prints the title block when program first starts. More...
static void | print_prompt ()
| Prints main menu. More...

## Macros
#define | LTC3887_I2C_ADDRESS 0x4E
#define | MFR_ADC_CONTROL 0xD8
#define | ADC_MFR_TELEMETRY_STATUS 0xDA
#define | MFR_REAL_TIME 0xFB
#define | NUM_MEAS 10

## Variables
static uint8_t | ltc3887_i2c_address
static LT_SMBus * | smbus = new LT_SMBusNoPec()
static LT_PMBus * | pmbus = new LT_PMBus(smbus)

## Function Documentation

## ◆ loop()

static void loop | ( | void |  | ) |
| static

Repeats Linduino loop.

Returns
  void

Definition at line 91 of file fast_telemetry.ino.

## ◆ print_prompt()

static void print_prompt | ( |  | ) |
| static

Prints main menu.

Returns
  void

Definition at line 362 of file fast_telemetry.ino.

## ◆ print_title()

static void print_title | ( | void |  | ) |
| static

Prints the title block when program first starts.

Returns
  void

Definition at line 348 of file fast_telemetry.ino.

## ◆ setup()

static void setup | ( | void |  | ) |
| static

Initialize Linduino.

Returns
  void

Definition at line 77 of file fast_telemetry.ino.

## Macro Definition Documentation

## ◆ ADC_MFR_TELEMETRY_STATUS

#define ADC_MFR_TELEMETRY_STATUS 0xDA

Definition at line 67 of file fast_telemetry.ino.

## ◆ LTC3887_I2C_ADDRESS

#define LTC3887_I2C_ADDRESS 0x4E

Definition at line 65 of file fast_telemetry.ino.

## ◆ MFR_ADC_CONTROL

#define MFR_ADC_CONTROL 0xD8

Definition at line 66 of file fast_telemetry.ino.

## ◆ MFR_REAL_TIME

#define MFR_REAL_TIME 0xFB

Definition at line 68 of file fast_telemetry.ino.

## ◆ NUM_MEAS

#define NUM_MEAS 10

Definition at line 69 of file fast_telemetry.ino.

## Variable Documentation

## ◆ ltc3887_i2c_address

uint8_t ltc3887_i2c_address
| static

Definition at line 71 of file fast_telemetry.ino.

## ◆ pmbus

LT_PMBus* pmbus = new LT_PMBus(smbus)
| static

Definition at line 73 of file fast_telemetry.ino.

## ◆ smbus

LT_SMBus* smbus = new LT_SMBusNoPec()
| static

Definition at line 72 of file fast_telemetry.ino.